<?php

/*
Pour inclure, rajouter dans le <head> ou au début de votre page :
<?php include('fonctions_utiles.php') ?>
*/


function enregistrer_donnees($donnees, $nom_fichier) {
	file_put_contents($nom_fichier,serialize($donnees));
}

function lire_donnees($nom_fichier) {
	$donnees_brutes=file_get_contents($nom_fichier);
	return unserialize($donnees_brutes);
}

function lancer_session() {
	session_start();
}

function enregistrer_valeur_session($nom_variable, $valeur) {
	$_SESSION[$nom_variable] = $valeur;
}

function lire_valeur_session($nom_variable) {
	if (isset($_SESSION[$nom_variable])) {
		return $_SESSION[$nom_variable];
	} else {
	    return "";
	}
}

function fermer_session() {
	// on efface toutes les valeurs enregistrées
	$_SESSION = array();

	// on nettoie les cookies de session si nécessaire
	if (ini_get("session.use_cookies")) {
		$params = session_get_cookie_params();
		setcookie(session_name(), '', time() - 42000,
			$params["path"], $params["domain"],
			$params["secure"], $params["httponly"]
		);
	}

	// on ferme la session
	session_destroy();
}

// fichiers :
// logins.txt : ["bob", "alice']
function obtenir_logins() {
	if (file_exists("logins.txt")) {
		$logins = lire_donnees("logins.txt");
	} else {
		$logins = array();
	}
	return $logins;
}

function generer_select($nom_select) {
	$logins = obtenir_logins();
	echo '<select name="'.$nom_select.'">'.PHP_EOL;
	echo '<option value="__ordi1">Ordi (facile)</option>'.PHP_EOL;
	echo '<option value="__ordi2">Ordi (dur)</option>'.PHP_EOL;
	foreach($logins as $nom) {
		echo '<option>'.$nom.'</option>'.PHP_EOL;
	}
	echo '</select>'.PHP_EOL;
}

function tester_connexion($fichier, $login, $mdp) {
	$ok = false;
	if (file_exists($fichier)) {
		$dico_logins = lire_donnees($fichier);
		if ($dico_logins[$login] == $mdp) {
			$ok = true;
		}
	} 
	return $ok;
}

function tester_inscription($fichier, $login, $mdp) {
	$ok = false;
	if (file_exists($fichier)) {
		$dico_logins = lire_donnees($fichier);
		if (! array_key_exists($login , $dico_logins)) {
			$ok = true;
		}			
	} else {
		$ok = true;
		$dico_logins = array();
	}
	if ($ok) {
		$dico_logins[$login] = $mdp;
		enregistrer_donnees($dico_logins, $fichier);
	}
	return $ok;
}


?>